Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getSwitchAccessControlLists({
networkId: "string",
});
export const merakiNetworksSwitchAccessControlListsExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_switch_access_control_lists(network_id="string")
pulumi.export("merakiNetworksSwitchAccessControlListsExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupSwitchAccessControlLists(ctx, &networks.LookupSwitchAccessControlListsArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksSwitchAccessControlListsExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetSwitchAccessControlLists.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksSwitchAccessControlListsExample"] = example.Apply(getSwitchAccessControlListsResult => getSwitchAccessControlListsResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetSwitchAccessControlListsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getSwitchAccessControlLists(GetSwitchAccessControlListsArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksSwitchAccessControlListsExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getSwitchAccessControlLists
arguments:
networkId: string
outputs:
merakiNetworksSwitchAccessControlListsExample: ${example.item}
Using getSwitchAccessControlLists
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSwitchAccessControlLists(args: GetSwitchAccessControlListsArgs, opts?: InvokeOptions): Promise<GetSwitchAccessControlListsResult>
function getSwitchAccessControlListsOutput(args: GetSwitchAccessControlListsOutputArgs, opts?: InvokeOptions): Output<GetSwitchAccessControlListsResult>def get_switch_access_control_lists(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSwitchAccessControlListsResult
def get_switch_access_control_lists_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSwitchAccessControlListsResult]func LookupSwitchAccessControlLists(ctx *Context, args *LookupSwitchAccessControlListsArgs, opts ...InvokeOption) (*LookupSwitchAccessControlListsResult, error)
func LookupSwitchAccessControlListsOutput(ctx *Context, args *LookupSwitchAccessControlListsOutputArgs, opts ...InvokeOption) LookupSwitchAccessControlListsResultOutput> Note: This function is named LookupSwitchAccessControlLists in the Go SDK.
public static class GetSwitchAccessControlLists
{
public static Task<GetSwitchAccessControlListsResult> InvokeAsync(GetSwitchAccessControlListsArgs args, InvokeOptions? opts = null)
public static Output<GetSwitchAccessControlListsResult> Invoke(GetSwitchAccessControlListsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSwitchAccessControlListsResult> getSwitchAccessControlLists(GetSwitchAccessControlListsArgs args, InvokeOptions options)
public static Output<GetSwitchAccessControlListsResult> getSwitchAccessControlLists(GetSwitchAccessControlListsArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getSwitchAccessControlLists:getSwitchAccessControlLists
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getSwitchAccessControlLists Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Switch Access Control Lists Item - Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Switch Access Control Lists Item - Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Switch Access Control Lists Item - network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Switch Access Control Lists Item - network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Switch Access Control Lists Item - network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetSwitchAccessControlListsItem
- Rules
List<Get
Switch Access Control Lists Item Rule> - An ordered array of the access control list rules
- Rules
[]Get
Switch Access Control Lists Item Rule - An ordered array of the access control list rules
- rules
List<Get
Switch Access Control Lists Item Rule> - An ordered array of the access control list rules
- rules
Get
Switch Access Control Lists Item Rule[] - An ordered array of the access control list rules
- rules
Sequence[Get
Switch Access Control Lists Item Rule] - An ordered array of the access control list rules
- rules List<Property Map>
- An ordered array of the access control list rules
GetSwitchAccessControlListsItemRule
- Comment string
- Description of the rule (optional)
- Dst
Cidr string - Destination IP address (in IP or CIDR notation)
- Dst
Port string - Destination port
- Ip
Version string - IP address version
- Policy string
- 'allow' or 'deny' traffic specified by this rule
- Protocol string
- The type of protocol
- Src
Cidr string - Source IP address (in IP or CIDR notation)
- Src
Port string - Source port
- Vlan string
- ncoming traffic VLAN
- Comment string
- Description of the rule (optional)
- Dst
Cidr string - Destination IP address (in IP or CIDR notation)
- Dst
Port string - Destination port
- Ip
Version string - IP address version
- Policy string
- 'allow' or 'deny' traffic specified by this rule
- Protocol string
- The type of protocol
- Src
Cidr string - Source IP address (in IP or CIDR notation)
- Src
Port string - Source port
- Vlan string
- ncoming traffic VLAN
- comment String
- Description of the rule (optional)
- dst
Cidr String - Destination IP address (in IP or CIDR notation)
- dst
Port String - Destination port
- ip
Version String - IP address version
- policy String
- 'allow' or 'deny' traffic specified by this rule
- protocol String
- The type of protocol
- src
Cidr String - Source IP address (in IP or CIDR notation)
- src
Port String - Source port
- vlan String
- ncoming traffic VLAN
- comment string
- Description of the rule (optional)
- dst
Cidr string - Destination IP address (in IP or CIDR notation)
- dst
Port string - Destination port
- ip
Version string - IP address version
- policy string
- 'allow' or 'deny' traffic specified by this rule
- protocol string
- The type of protocol
- src
Cidr string - Source IP address (in IP or CIDR notation)
- src
Port string - Source port
- vlan string
- ncoming traffic VLAN
- comment str
- Description of the rule (optional)
- dst_
cidr str - Destination IP address (in IP or CIDR notation)
- dst_
port str - Destination port
- ip_
version str - IP address version
- policy str
- 'allow' or 'deny' traffic specified by this rule
- protocol str
- The type of protocol
- src_
cidr str - Source IP address (in IP or CIDR notation)
- src_
port str - Source port
- vlan str
- ncoming traffic VLAN
- comment String
- Description of the rule (optional)
- dst
Cidr String - Destination IP address (in IP or CIDR notation)
- dst
Port String - Destination port
- ip
Version String - IP address version
- policy String
- 'allow' or 'deny' traffic specified by this rule
- protocol String
- The type of protocol
- src
Cidr String - Source IP address (in IP or CIDR notation)
- src
Port String - Source port
- vlan String
- ncoming traffic VLAN
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
